<?php
/**
* Additional Woocommerce Settings.
*
* @package Green Nursery
*/

$green_nursery_default = green_nursery_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'green_nursery_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'green-nursery' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'green_nursery_theme_option_panel',
	)
);

	$wp_customize->add_setting('green_nursery_per_columns',
		array(
		'default'           => $green_nursery_default['green_nursery_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'green_nursery_sanitize_number_range',
		)
	);
	$wp_customize->add_control('green_nursery_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'green-nursery'),
		'section'     => 'green_nursery_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('green_nursery_product_per_page',
		array(
		'default'           => $green_nursery_default['green_nursery_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'green_nursery_sanitize_number_range',
		)
	);
	$wp_customize->add_control('green_nursery_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'green-nursery'),
		'section'     => 'green_nursery_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('green_nursery_show_hide_related_product',
    array(
        'default' => $green_nursery_default['green_nursery_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'green_nursery_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('green_nursery_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'green-nursery'),
	        'section' => 'green_nursery_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('green_nursery_custom_related_products_number',
		array(
		'default'           => $green_nursery_default['green_nursery_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'green_nursery_sanitize_number_range',
		)
	);
	$wp_customize->add_control('green_nursery_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'green-nursery'),
		'section'     => 'green_nursery_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('green_nursery_custom_related_products_number_per_row',
		array(
		'default'           => $green_nursery_default['green_nursery_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'green_nursery_sanitize_number_range',
		)
	);
	$wp_customize->add_control('green_nursery_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'green-nursery'),
		'section'     => 'green_nursery_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);